PACCACHE(8)

BEZEICHNUNG
paccache - flexibles Werkzeug zum Aufräumen des Pacman-Zwischenspeichers

ÜBERSICHT

paccache <Operation> [Optionen] [Ziele…]

BESCHREIBUNG

Paccache entfernt alte Pakete aus dem Zwischenspeicher von Pacman. Standardmäßig werden die letzten drei Versionen eines Pakets behalten.

OPERATIONEN

-d, --dryrun
    führt einen »Trockenlauf« aus, wobei nur nach potenziell zu entfernenden Paketen gesucht wird.

-m, --move <Verzeichnis>
    verschiebt potenziell zu entfernende Pakete in das angegebene Verzeichnis.

-r, --remove
    entfernt die Pakete aus dem Zwischenspeicher, die als potenziell zu entfernen identifiziert wurden.

OPTIONEN

-a, --arch <Architektur>
    sucht nach Paketen für eine spezifische Architektur. Standardmäßig wird nach allen Architekturen gesucht.

--min-atime <Alter>, --min-mtime <Alter>
    berücksichtigt nur Pakete für das Entfernen, deren »atime« beziehungsweise »mtime« älter als die angegebene Zeit ist. Das Alter kann als 10d, 1m, 1y, 1y1m usw. angegeben werden.

-c, --cachedir <Verzeichnis>
    gibt ein anderes Zwischenspeicherverzeichnis an. Diese Option kann mehrmals angegeben werden. Standardmäßig wird das in pacman.conf konfigurierte Zwischenspeicherverzeichnis verwendet.

-f, --force
    erzwingt die Ausführung von mv und rm.

-h, --help
    zeigt die Optionen der Syntax und Befehlszeile an.

-i, --ignore <Pakete>
    gibt zu ignorierende Pakete an, durch Kommata getrennt. Alternativ können Sie »-« angeben, wodurch die Pakete aus der Standardeingabe gelesen werden, durch Zeilenvorschübe getrennt.

-k, --keep <Zahl>
    legt fest, wieviele Versionen eines Pakets im Zwischenspeicher behalten werden. Vorgabe ist 3.

--nocolor
    unterdrückt die Einfärbung der Ausgabe.

-q, --quiet
    minimiert die Ausgabe.

-u, --uninstalled
    wirkt auf nicht installierte Pakete.

-v, --verbose
    erhöht die Ausführlichkeitsstufe der Ausgabe, kann bis zu drei Mal angegeben werden.

-z, --null
    verwendet Null-Trenner für die Namen potenziell zu entfernender Pakete (nur mit -v und -vv).

SYSTEMD-ZEITGEBER

Der Paketzwischenspeicher kann periodisch mit dem Systemd-Zeitgeber paccache.timer geleert werden. Wenn der Zeitgeber freigegeben ist, wird der Zwischenspeicher wöchentlich mit den Standardoptionen von Paccache geleert.

SIEHE AUCH

pacman(8), pacman.conf(5), systemctl(1)

FEHLER

Fehler? Sie machen wohl Witze, es gibt keine Fehler in dieser Software. Nun ja, sollte unsere Annahme doch falsch sein, senden Sie uns eine E-Mail (auf Englisch) mit so vielen Details wie möglich an pacman-contrib@lists.archlinux.org.

AUTOREN

Derzeitige Betreuer:

    • Johannes Löthberg <johannes@kyriasis.com>

    • Daniel M. Capella <polycitizen@gmail.com>

Informationen zu weiteren Mitwirkenden erhalten Sie, wenn Sie den Befehl git shortlog -s im Git-Repositorium von Pacman-contrib aufrufen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.